Subject: Re: [PATCH v9 0/5] [GSoC] remove_subtree(): reimplement using iterators

From: Junio C Hamano <[email-masked]>
Date: Mon, 17 Apr 2017 21:09:48 -0700

Daniel Ferreira <[email-masked]> writes:

> I think this is the closest to a final version we've ever gotten. I
> followed all of Michael and Stefan's suggestions on top of v8, and with
> Michael's endorsement made dir_iterator_begin() return NULL and set
> errno appropriately in case of an error.
>
> On second thought, maybe the extra code complexity required from
> dir_iterator_begin()'s callers might be actually an advantage as
> dir_iterator grows to tackle more complex dir traversing challenges on
> Git. After all, we might want some special behavior depending on what
> the given `path` is instead of always considering it valid and later
> behaving as if it was an empty directory.
>
> Thanks again for the reviews.

I had a bit of trouble with phrasing here and there, but other than
that the series was a pleasant read overall.

Will queue, anticipating "Yeah, this is good as the final version"
comments from reviewers.

Thanks.